Rename Kubernetes cluster
curl --request PATCH \
--url https://api.rafftechnologies.com/api/v1/k8s/clusters/{cluster_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'X-Project-ID: <x-project-id>' \
--data '
{
"name": "prod-eu"
}
'import requests
url = "https://api.rafftechnologies.com/api/v1/k8s/clusters/{cluster_id}"
payload = { "name": "prod-eu" }
headers = {
"X-Project-ID": "<x-project-id>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Project-ID': '<x-project-id>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'prod-eu'})
};
fetch('https://api.rafftechnologies.com/api/v1/k8s/clusters/{cluster_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"cluster": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_id": "q7z7zg",
"name": "prod",
"status": "pending",
"ready": true,
"status_message": "<string>",
"dns_domain": "q7z7zg.k8s.raffusercloud.com",
"api_endpoint": "https://q7z7zg.k8s.raffusercloud.com:6443",
"k8s_version": "v1.33.4+rke2r1",
"k8s_version_id": 123,
"region": "us-east",
"master_count": 123,
"worker_count": 123,
"ha_enabled": true,
"firewall_enabled": true,
"longhorn_enabled": true,
"traefik_enabled": true,
"metallb_enabled": true,
"billing_type": "payg",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price_per_hour": 123,
"price_per_month": 123,
"vpc_id": "<string>",
"private_vip": "10.1.0.254",
"node_pools": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"node_count": 123,
"status": "pending",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actual_node_count": 123,
"min_nodes": 123,
"max_nodes": 123,
"autoscale_enabled": true,
"plan_id": 123,
"cpu": 123,
"ram": 123,
"disk": 123,
"labels": "<string>",
"taints": "<string>",
"status_message": "<string>",
"nodes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pool_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"role": "vnf",
"status": "pending",
"cpu": 123,
"ram": 123,
"disk": 123,
"ip_address": "<string>",
"price_per_hour": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Clusters
Rename Kubernetes Cluster
PATCH
/
api
/
v1
/
k8s
/
clusters
/
{cluster_id}
Rename Kubernetes cluster
Updated August 24, 2026
Authorizations
API key for authentication. Each key is bound to a specific account.
Headers
Project ID. Required for all mutating operations (create, delete, power actions, resize).
Path Parameters
Cluster ID (short id, e.g. q7z7zg)
Body
application/json
New cluster name (1–63 lowercase letters, digits or hyphens)
Example:
"prod-eu"
Last modified on August 24, 2026
⌘I